class Elevator {
    constructor(name, floorNumber, status) {
        this.name = name;
        this.floorNumber = floorNumber;
        this.status = status;
    }
    
    get info() {
        return `Elevator ${this.name} - Floor ${this.floorNumber}, Status ${this.status}`;
    }
    
    get floor() {
        return this.floorNumber;
    }
    
    moveUp() {
        this.floorNumber++;
    }
    
    moveDown() {
        this.floorNumber--;
    }
    
    moveToFloor(floorNumber) {
        this.floorNumber = floorNumber;
    }
}

const e1 = new Elevator("e1", 1, "operating");
const e2 = new Elevator("e2", 5, "operating");

console.log(e1.info);
console.log(e2.info);

e1.moveUp();
console.log(e1.info);
e2.moveDown();
console.log(e2.info);

e1.moveToFloor(20);
console.log(e1.floor);;
